<div
  class="m-media-loading mdl-progress mdl-js-progress mdl-progress__indeterminate"
  [mdl]
  [hidden]="!inProgress"
></div>

<div class="m--spam-notice mdl-shadow--2dp" *ngIf="entity?.flags?.spam">
  <ng-container
    *ngIf="entity?.flags?.spam"
    i18n="@@MINDS__MEDIA__ENTITY_FLAGGED_AS_SPAM"
    >This media was flagged as spam.</ng-container
  >
  <ng-container
    *ngIf="entity?.flags?.deleted"
    i18n="@@MINDS__MEDIA__ENTITY_FLAGGED_AS_DELETED"
    >This media was flagged as deleted.</ng-container
  >

  <ng-container *ngIf="!session.isAdmin()" i18n="@@M__ACTION__APPEAL_MARK">
    If you wish to appeal, please check your
    <a routerLink="/settings/reported-content">Reported Content console</a>.
  </ng-container>
</div>

<div class="m-error-splash" *ngIf="error && !inProgress">
  <img [src]="minds.cdn_assets_url + 'assets/logos/logo.svg'" />
  <h3 class="mdl-color-text--red-300">{{ error }}</h3>
  <span
    class="mdl-color-text--blue-grey-300"
    i18n="@@MINDS__MEDIA__ENTITY_NOT_EXISTS"
    >The post may not exist</span
  >
</div>

<div class="m-media-wrapper" *ngIf="entity && entity.guid">
  <div
    class="m-media-content"
    [class.media--content--has-recommended]="
      !theaterMode && entity.guid && entity.subtype != 'album'
    "
  >
    <ng-container
      *ngIf="
        !entity.paywalled ||
          entity.ownerObj.guid == session.getLoggedInUser().guid;
        else isPaywalled
      "
    >
      <m-media--theatre
        [object]="entity"
        *ngIf="entity.subtype != 'album'"
        [hidden]="!entity.subtype || entity.subtype == 'album'"
        class="mdl-shadow--4dp"
        [ngClass]="{
          'm-mature-content': attachment.shouldBeBlurred(entity),
          'm-mature-content-shown': attachment.isForcefullyShown(entity)
        }"
      >
        <div
          class="m-mature-overlay"
          (click)="entity.mature_visibility = !entity.mature_visibility"
        >
          <span class="m-mature-overlay-note">
            <i
              class="material-icons"
              title="Mature content"
              i18n-title="@@M__COMMON__MATURE_CONTENT"
              >explicit</i
            >
            <span i18n="@@M__COMMON__CONFIRM_18"
              >Click to confirm your are 18+</span
            >
          </span>
        </div>

        <a
          *ngIf="entity.guid && entity.subtype != 'album'"
          class="m-media-theater--toggle"
          [class.media-theater--toggle--active]="theaterMode"
          (click)="theaterMode = !theaterMode"
        >
          <i class="material-icons">launch</i>
        </a>
      </m-media--theatre>
    </ng-container>
    <ng-template #isPaywalled>
      <m-wire--lock-screen [(entity)]="entity"></m-wire--lock-screen>
    </ng-template>

    <m-media--grid
      [object]="entity"
      *ngIf="entity.subtype == 'album'"
    ></m-media--grid>

    <div class="m-media-content--wrapper">
      <div class="m-media-content--container">
        <!-- Meta bar -->
        <div class="mdl-grid m-media-content--meta">
          <div
            class="mdl-cell mdl-cell--12-col m-media-content--title"
            [ngClass]="{ 'm-mature-text': attachment.shouldBeBlurred(entity) }"
          >
            <div class="mdl-cell mdl-cell--8-col mdl-cell--6-col-phone">
              <h1
                class="m-media-content--heading"
                [innerHtml]="entity.title | tags"
                [ngClass]="{
                  'm-media--long-heading':
                    entity.title && entity.title.length > 80
                }"
              ></h1>
            </div>

            <!-- Additional block -->
            <div
              class="m-media-content--info mdl-cell mdl-cell--4-col mdl-cell--6-col-phone"
            >
              <div
                class="m-media-content--play-count"
                *ngIf="entity['play:count'] || entity['play:count'] === 0"
              >
                <span i18n="@@MINDS__MEDIA__PLAYS_COUNTER"
                  >{{ entity['play:count'] | number }} plays</span
                >
              </div>

              <div
                class="m-media-content--play-count"
                *ngIf="entity['impressions'] || entity['impressions'] === 0"
              >
                <span i18n="@@M__COMMON__VIEWS_WITH_COUNT"
                  >{{ entity['impressions'] | number }} views</span
                >
              </div>

              <div
                class="m-visibility-info"
                *ngIf="
                  entity.ownerObj.guid == session.getLoggedInUser().guid ||
                  session.isAdmin()
                "
              >
                <i class="material-icons">visibility</i>
                <span
                  [hidden]="entity.access_id != 2"
                  i18n="@@M__COMMON__VISIBILITY_PUBLIC"
                  >Public</span
                >
                <span
                  [hidden]="entity.access_id != 0"
                  i18n="@@M__COMMON__VISIBILITY_UNLISTED"
                  >Unlisted</span
                >
              </div>

              <div
                class="m-mature-info"
                *ngIf="entity.flags && entity.flags.mature"
              >
                <i class="material-icons">explicit</i>
                <span i18n="@@M__COMMON__MATURE_CONTENT">Mature content</span>
              </div>

              <div class="m-license-info">
                <i class="material-icons">public</i>
                <span [hidden]="!entity.license">{{ entity.license }}</span>
                <span
                  [hidden]="entity.license"
                  i18n="@@M__COMMON__LICENSE_ALL_RIGHT_RESERVED"
                  >All Rights Reserved</span
                >
              </div>
            </div>
          </div>

          <!-- Owner box -->
          <div class="mdl-cell mdl-cell--6-col m-media-content--owner">
            <div class="minds-avatar" [hovercard]="entity.ownerObj.guid">
              <a [routerLink]="['/', entity.ownerObj.username]">
                <img
                  [src]="
                    minds.cdn_url +
                    'icon/' +
                    entity.ownerObj.guid +
                    '/small/' +
                    entity.ownerObj.icontime
                  "
                  class="mdl-shadow--2dp"
                />
              </a>
            </div>
            <div class="minds-body">
              <div class="m-media-content--owner-info">
                <a
                  [routerLink]="['/', entity.ownerObj.username]"
                  class="mdl-color-text--blue-grey-500"
                  >{{ entity.ownerObj.name }}</a
                >
              </div>

              <div class="m-media-content--owner-info">
                <span>{{ entity.time_created * 1000 | date: 'medium' }}</span>
              </div>
            </div>

            <minds-button-boost
              *ngIf="entity.subtype != 'album'"
              class="m-media-content--button-boost"
              [object]="entity"
            ></minds-button-boost>

            <div class="mdl-layout-spacer"></div>
          </div>

          <!-- Actions block -->
          <div class="mdl-cell mdl-cell--6-col m-media-content--actions">
            <div class="mdl-layout-spacer"></div>

            <span
              class="minds-button-edit"
              [routerLink]="['/media/edit', entity.guid]"
              *ngIf="
                entity.ownerObj.guid == session.getLoggedInUser().guid ||
                session.isAdmin()
              "
            >
              <button class="material-icons">edit</button>
            </span>

            <!--<span class="minds-button-edit" (click)="deleteToggle = true"  *ngIf="entity.ownerObj.guid == session.getLoggedInUser().guid || session.isAdmin()">
                <button class="material-icons">close</button>
              </span>-->

            <minds-button-feature
              [object]="entity"
              *ngIf="session.isAdmin()"
            ></minds-button-feature>
            <minds-button-monetize
              [object]="entity"
              *ngIf="session.getLoggedInUser().monetized"
            ></minds-button-monetize>

            <m-wire-button
              *ngIf="entity.ownerObj.guid != session.getLoggedInUser()?.guid"
              [object]="entity"
            ></m-wire-button>
            <minds-button-thumbs-up [object]="entity"></minds-button-thumbs-up>
            <minds-button-thumbs-down
              [object]="entity"
            ></minds-button-thumbs-down>
            <minds-button-remind [object]="entity"></minds-button-remind>

            <m-post-menu
              [entity]="entity"
              [canDelete]="
                entity.ownerObj.guid == session.getLoggedInUser().guid ||
                entity.canEdit ||
                session.isAdmin()
              "
              [options]="menuOptions"
              (optionSelected)="menuOptionSelected($event)"
              askForCategoriesWhenFeaturing="true"
            ></m-post-menu>
          </div>

          <div
            class="mdl-cell mdl-cell--12-col m-media--description"
            *ngIf="entity.description"
            [innerHtml]="entity.description | safe"
            [hidden]="!descriptionContainer.innerText.trim('')"
            #descriptionContainer
          ></div>
        </div>

        <!-- Don't show comments for albums -->
        <div
          class="mdl-grid m-media-content--comments mdl-color--white"
          *ngIf="entity.guid && entity.subtype != 'album'"
        >
          <m-comments__tree [entity]="entity"> </m-comments__tree>
        </div>
      </div>

      <div
        class="m-media-recommended"
        *ngIf="theaterMode && entity.guid && entity.subtype != 'album'"
      >
        <m-media--recommended
          [opts]="{
            current: entity.guid,
            next: getNext(),
            channel: entity.ownerObj.guid,
            type: entity.subtype
          }"
          limit="6"
        ></m-media--recommended>

        <!--<m-ads-boost limit="4"></m-ads-boost>-->
      </div>
    </div>
  </div>

  <div
    class="m-media-recommended"
    *ngIf="!theaterMode && entity.guid && entity.subtype != 'album'"
  >
    <m-media--recommended
      [opts]="{
        current: entity.guid,
        next: getNext(),
        channel: entity.ownerObj.guid,
        type: entity.subtype
      }"
      limit="6"
    ></m-media--recommended>

    <!--<m-ads-boost limit="4"></m-ads-boost>-->
  </div>
</div>

<m-modal-confirm
  *ngIf="deleteToggle"
  [open]="true"
  [closeAfterAction]="true"
  (closed)="deleteToggle = false"
  (actioned)="delete()"
  yesButton="Delete permanently"
  i18n-yesButton="@@M__COMMON__DELETE_PERMANENTLY"
>
  <p confirm-message>
    <ng-container i18n="@@MINDS__MEDIA__CONFIRM_DELETION"
      >Are you sure you want to delete this?<br /><br />There's no
      UNDO!</ng-container
    >
  </p>
  <p confirm-success-message>
    <ng-container i18n="@@MINDS__MEDIA__DELETION_CONFIRMATION"
      >The media has been deleted.</ng-container
    >
  </p>
</m-modal-confirm>
